org.apache.torque.util

## Class ListOrderedMapCI<T>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<String,T>
      - - org.apache.torque.util.ListOrderedMapCI<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map<String,T>

      public class ListOrderedMapCI<T>
      extends LinkedHashMap<String,T>

  A subclass of LinkedHashMap that has case insensitive String key methods.
  Version:
    $Id: ListOrderedMapCI.java 1839288 2018-08-27 09:48:33Z tv $
  Author:
    Greg Monroe
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListOrderedMapCI()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsKey(Object key)` Test if the key exists in the mapping.
    `T` | `get(Object key)` Get the object associated with this key.
    `T` | `put(String key, T value)` Adds a value to the end of the list with the specified key.
    `T` | `remove(Object key)` Removes the mapping for the specified key.

    - ### Methods inherited from class java.util.LinkedHashMap

      `clear, containsValue, entrySet, forEach, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

    - ### Methods inherited from class java.util.HashMap

      `clone, compute, computeIfAbsent, computeIfPresent, isEmpty, merge, putAll, putIfAbsent, remove, replace, replace, size`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `compute, computeIfAbsent, computeIfPresent, equals, hashCode, isEmpty, merge, putAll, putIfAbsent, remove, replace, replace, size`

- - ### Constructor Detail

    - #### ListOrderedMapCI

          public ListOrderedMapCI()

  - ### Method Detail

    - #### get

          public T get(Object key)

      Get the object associated with this key.
      Specified by:
        `get` in interface `Map<String,T>`
      Overrides:
        `get` in class `LinkedHashMap<String,T>`
      Parameters:
        `key` - A case insensitive String.
      Returns:
        The value for this key

    - #### put

          public T put(String key,
                       T value)

      Adds a value to the end of the list with the specified key.
      Specified by:
        `put` in interface `Map<String,T>`
      Overrides:
        `put` in class `HashMap<String,T>`
      Parameters:
        `key` - A case insensitive String.
        `value` - The value to add
      Returns:
        The value for previously mapped to this key

    - #### remove

          public T remove(Object key)

      Removes the mapping for the specified key.
      Specified by:
        `remove` in interface `Map<String,T>`
      Overrides:
        `remove` in class `HashMap<String,T>`
      Parameters:
        `key` - A case insensitive String.
      Returns:
        the removed value, or null if none existed

    - #### containsKey

          public boolean containsKey(Object key)

      Test if the key exists in the mapping.
      Specified by:
        `containsKey` in interface `Map<String,T>`
      Overrides:
        `containsKey` in class `HashMap<String,T>`
      Parameters:
        `key` - The case insensitive key to test for.
      Returns:
        True if the key exists.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.